namespace MediaBrowser.Model.Entities;

/// <summary>
/// Class MediaAttachment.
/// </summary>
public class MediaAttachment
{
    /// <summary>
    /// Gets or sets the codec.
    /// </summary>
    /// <value>The codec.</value>
    public string? Codec { get; set; }

    /// <summary>
    /// Gets or sets the codec tag.
    /// </summary>
    /// <value>The codec tag.</value>
    public string? CodecTag { get; set; }

    /// <summary>
    /// Gets or sets the comment.
    /// </summary>
    /// <value>The comment.</value>
    public string? Comment { get; set; }

    /// <summary>
    /// Gets or sets the index.
    /// </summary>
    /// <value>The index.</value>
    public int Index { get; set; }

    /// <summary>
    /// Gets or sets the filename.
    /// </summary>
    /// <value>The filename.</value>
    public string? FileName { get; set; }

    /// <summary>
    /// Gets or sets the MIME type.
    /// </summary>
    /// <value>The MIME type.</value>
    public string? MimeType { get; set; }

    /// <summary>
    /// Gets or sets the delivery URL.
    /// </summary>
    /// <value>The delivery URL.</value>
    public string? DeliveryUrl { get; set; }
}
