namespace Jellyfin.Database.Implementations.Enums;

/// <summary>
/// An enum representing the type of view for a library or collection.
/// </summary>
public enum ViewType
{
    /// <summary>
    /// Shows albums.
    /// </summary>
    Albums = 0,

    /// <summary>
    /// Shows album artists.
    /// </summary>
    AlbumArtists = 1,

    /// <summary>
    /// Shows artists.
    /// </summary>
    Artists = 2,

    /// <summary>
    /// Shows channels.
    /// </summary>
    Channels = 3,

    /// <summary>
    /// Shows collections.
    /// </summary>
    Collections = 4,

    /// <summary>
    /// Shows episodes.
    /// </summary>
    Episodes = 5,

    /// <summary>
    /// Shows favorites.
    /// </summary>
    Favorites = 6,

    /// <summary>
    /// Shows genres.
    /// </summary>
    Genres = 7,

    /// <summary>
    /// Shows guide.
    /// </summary>
    Guide = 8,

    /// <summary>
    /// Shows movies.
    /// </summary>
    Movies = 9,

    /// <summary>
    /// Shows networks.
    /// </summary>
    Networks = 10,

    /// <summary>
    /// Shows playlists.
    /// </summary>
    Playlists = 11,

    /// <summary>
    /// Shows programs.
    /// </summary>
    Programs = 12,

    /// <summary>
    /// Shows recordings.
    /// </summary>
    Recordings = 13,

    /// <summary>
    /// Shows schedule.
    /// </summary>
    Schedule = 14,

    /// <summary>
    /// Shows series.
    /// </summary>
    Series = 15,

    /// <summary>
    /// Shows shows.
    /// </summary>
    Shows = 16,

    /// <summary>
    /// Shows songs.
    /// </summary>
    Songs = 17,

    /// <summary>
    /// Shows songs.
    /// </summary>
    Suggestions = 18,

    /// <summary>
    /// Shows trailers.
    /// </summary>
    Trailers = 19,

    /// <summary>
    /// Shows upcoming.
    /// </summary>
    Upcoming = 20
}
